#
# spec file for package python-requests-unixsocket
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-requests-unixsocket
Version:        0.3.0
Release:        150400.7.3.1
Summary:        UNIX domain socket backend for python-requests
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/msabramo/requests-unixsocket
Source:         https://files.pythonhosted.org/packages/source/r/requests-unixsocket/requests-unixsocket-%{version}.tar.gz
# PATCH-FIX-UPSTREAM urllib3-2.patch -- gh#msabramo/requests-unixsocket#69
Patch0:         urllib3-2.patch
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 1.1
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 1.1}
BuildRequires:  %{python_module waitress}
# /SECTION
%python_subpackages

%description
With this module, python-requests is enhanced by the ability to talk
HTTP via a UNIX domain socket.

%prep
%autosetup -p1 -n requests-unixsocket-%{version}
# do not require additional test deps
sed -i -e '/addopts/d' pytest.ini

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest requests_unixsocket/tests

%files %{python_files}
%doc AUTHORS ChangeLog README.rst
%license LICENSE
%{python_sitelib}/requests_unixsocket
%{python_sitelib}/requests_unixsocket-%{version}*-info

%changelog
* Sat Jun 10 2023 ecsos@opensuse.org
- Add %%{?sle15_python_module_pythons}
* Tue May  9 2023 daniel.garcia@suse.com
- Add urllib3-2.patch to make it compatible with urllib3 >= 2.0.0
  gh#msabramo/requests-unixsocket#69
* Mon Jan 10 2022 dmueller@suse.com
- update to 0.3.0:
  * Remove urllib3 dep
  * Update setup.cfg metadata - => \_
  * Remove Vagrantfile
  * Remove .travis.yml
  * Update tox to work
  * README.rst: Update badge from Travis => GH
  * Fix warning from waitress
  * Add GitHub Actions tests
  * Remove --pep8 option to pytest
  * Bump waitress from 1.4.2 to 1.4.3
  * Bump py from 1.4.32 to 1.10.0
  * Bump waitress from 0.9.0 to 1.4.2
  * Allow UnixAdapter to accept max\_retries parameter
* Wed Aug 28 2019 mcalabkova@suse.com
- update to version 0.2.0
  * Remove support for Python 2.6
  * Add support for Python 3.6
  * Add Python 3.7
  * Close socket on deletion
  * Allow UnixAdapter to accept max_retries parameter
  * Many other changes
* Wed Mar 20 2019 jengelh@inai.de
- Make the descriptions say what it is, not what the user is to do.
* Tue Mar  5 2019 tchvatal@suse.com
- Switch to singlespec to support all python variants
- Make sure we run tests
* Fri Mar 11 2016 tbechtold@suse.com
- Initial packaging (version 0.1.5)
